Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## info.bioinfweb.treegraph.document.nodedata
Class UniqueNameAdapter

    java.lang.Object
      info.bioinfweb.treegraph.document.nodedata.UniqueNameAdapter

All Implemented Interfaces:
  NodeDataAdapter

    public class UniqueNameAdapter

extends java.lang.Object
implements NodeDataAdapter

Constructor Summary
`UniqueNameAdapter()`

Method Summary
`boolean` | `decimalOnly()`
`void` | `delete(Node node)`
`Node` | `getDataElement(Node node)` This method should return the tree element which contains the data which is edited with the implementation of the respective adapter.
`double` | `getDecimal(Node node)`
`java.lang.String` | `getText(Node node)`
`boolean` | `isDecimal(Node node)`
`boolean` | `isEmpty(Node node)`
`boolean` | `isString(Node node)`
`void` | `setDecimal(Node node, double value)`
`void` | `setText(Node node, java.lang.String value)`
`java.lang.String` | `toString()` A description of the adapter that is readable by the user should be returned here.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### UniqueNameAdapter

    public UniqueNameAdapter()

Method Detail

### decimalOnly

    public boolean decimalOnly()

  Specified by:
    `decimalOnly` in interface `NodeDataAdapter`

### isDecimal

    public boolean isDecimal(Node node)

  Specified by:
    `isDecimal` in interface `NodeDataAdapter`

### isEmpty

    public boolean isEmpty(Node node)

  Specified by:
    `isEmpty` in interface `NodeDataAdapter`

### isString

    public boolean isString(Node node)

  Specified by:
    `isString` in interface `NodeDataAdapter`

### delete

    public void delete(Node node)

  Specified by:
    `delete` in interface `NodeDataAdapter`

### getDecimal

    public double getDecimal(Node node)

  Specified by:
    `getDecimal` in interface `NodeDataAdapter`

### getText

    public java.lang.String getText(Node node)

  Specified by:
    `getText` in interface `NodeDataAdapter`

### setDecimal

    public void setDecimal(Node node,
                           double value)

  Specified by:
    `setDecimal` in interface `NodeDataAdapter`

### setText

    public void setText(Node node,
                        java.lang.String value)

  Specified by:
    `setText` in interface `NodeDataAdapter`

### getDataElement

    public Node getDataElement(Node node)

  Description copied from interface: `NodeDataAdapter`
  This method should return the tree element which contains the data which is edited with the implementation of the respective adapter.

  Specified by:
    `getDataElement` in interface `NodeDataAdapter`
  Returns:

### toString

    public java.lang.String toString()

  Description copied from interface: `NodeDataAdapter`
  A description of the adapter that is readable by the user should be returned here.

  Specified by:
    `toString` in interface `NodeDataAdapter`
  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD